class Plowshare < Formula
  desc "Download/upload tool for popular file sharing websites"
  homepage "https://github.com/mcrapet/plowshare"
  url "https://github.com/mcrapet/plowshare/archive/v2.1.7.tar.gz"
  sha256 "c17d0cc1b3323f72b2c1a5b183a9fcef04e8bfc53c9679a4e1523642310d22ad"
  license "GPL-3.0-or-later"
  revision 1

  depends_on "bash"
  depends_on "feh"
  depends_on "libcaca"
  depends_on "recode"
  depends_on "spidermonkey"

  on_macos do
    depends_on "coreutils"
    depends_on "gnu-sed"
  end

  def install
    sed_args = OS.mac? ? ["patch_gnused", "GNU_SED=#{Formula["gnu-sed"].opt_bin}/gsed"] : []
    system "make", "install", *sed_args, "PREFIX=#{prefix}"
  end

  test do
    output = shell_output("#{bin}/plowlist 2>&1", 15)
    assert_match "no folder URL specified!", output
  end
end
